//--------------------------------------------------------------
// File     : main.c
// Datum    : 18.03.2013
// Version  : 1.3
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der LCD-Graphic-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_graphic.h"

int main(void)
{
  SystemInit(); // Quarz Einstellungen aktivieren

  UB_LCD_Init(); // Init vom LCD

  // LCD mit blau lschen
  UB_LCD_FillScreen(RGB_COL_BLUE);

  // Ein Image (aus dem Flash) Zeichnen
  UB_Graphic_DrawImage(&Emo2_Image,0,0);

  // Ein BMP-File (aus dem Flash) Zeichnen
  UB_Graphic_DrawBmp(&Emo2_Bmp,30,95);

  // Ein JPG-File (aus dem Flash) Zeichnen
  UB_Graphic_DrawJpg(&Emo2_Jpg,60,190);

  // rote Linie zeichnen
  UB_Graphic_DrawLine(10,20,100,150,RGB_COL_RED);

  // weien kreis zeichnen
  UB_Graphic_DrawCircle(70,75,50,RGB_COL_WHITE);


  while(1)
  {

  }
}
